Variable "plbornc” vs "plbornc_all
12/19/2018 03:04 PM - OLAYIWOLA OLADIRAN

Status: Resolved Start date: 12/19/2018
Priority: Low % Done: 100%
Assignee: OLAYIWOLA OLADIRAN

Category: Data inconsistency

Description

Hello,

| expect that the number of observations for values (countries) 5-27 should be the same for both the "plbornc” and "plbornc_all”
variables. for instance, Republic of Ireland has 722 observations in the "plbornc" and has 457 in "plbornc_all". May | please know
why this is the case?

History

#1 - 12/20/2018 10:32 AM - Stephanie Auty

- Status changed from New to In Progress

- Assignee changed from Alita Nandi to Stephanie Auty
- % Done changed from 0 to 10

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,
Stephanie Auty - Understanding Society User Support Officer

#2 - 12/20/2018 10:39 AM - Stephanie Auty

- Private changed from Yes to No

#3 - 12/20/2018 01:37 PM - Stephanie Auty

- Target version set to X M

#4 - 12/21/2018 10:35 PM - Stephanie Auty

ISER is now closed for the holidays and will reopen on 2nd January. We will get back to you soon afterwards.

With best wishes for the winter break.

#5 - 01/08/2019 05:21 PM - Alita Nandi
- Assignee changed from Stephanie Auty to OLAYIWOLA OLADIRAN
- % Done changed from 10 to 80

Hello,

As there are only 23 response options for plbornc, many respondents have to choose 97 "other country”. They are then asked to give the name of this
other country and that is recorded verbatim. This is then coded up and the resulting variable is called plbornc_all. But these two variables are not
entirely synched up. We are looking into correcting that.

So, you will see for Ireland (5)

(1) there are 15 individuals for whom plbornc=97 & plbornc_all==5 // as plbornc=97, they were asked about other country which they gave as
Ireland. So, this is ok.

(2) there are 442 individuals for whom both plbornc & plbornc_all is 5 // as plbornc<97, they were not asked about other country, and the values were
synched up. So, this is ok.

(8) there are 280 individuals for whom plbornc==5 & plbornc_all=-9 // as plbornc<97, they were not asked other country, but values were not
synched up. This needs to be corrected

Note, this also happens for other countries.

For now you can use the following code to get a complete list of countries of birth:
replace plbornc_all=plbornc if plbornc>=5 & plbornc<97 & (plbornc_all==-9|plbornc_all==997)

Please note that those who said they were born in the UK, that is, ukborn>=1 & ukborn<=4 are not asked plbornc. So, if you want a complete list of
countries of birth you should also do:
replace plbornc_all=ukborn if ukborn>=1 & ukborn<=4

Best wishes,
Alita

#6 - 03/20/2019 05:58 PM - Stephanie Auty

- Status changed from In Progress to Feedback

#7 - 08/10/2022 11:28 AM - Understanding Society User Support Team
- Status changed from Feedback to Resolved
- Priority changed from Immediate to Low

- % Done changed from 80 to 100
